CVE-2016-5093 (retired)

Priority
Description
The get_icu_value_internal function in ext/intl/locale/locale_methods.c in
PHP before 5.5.36, 5.6.x before 5.6.22, and 7.x before 7.0.7 does not
ensure the presence of a '\0' character, which allows remote attackers to
cause a denial of service (out-of-bounds read) or possibly have unspecified
other impact via a crafted locale_get_primary_language call.
Package
Source: php5 (LP Ubuntu Debian)
Upstream:released (5.6.22+dfsg-1)
Ubuntu 14.04 LTS (Trusty Tahr):released (5.5.9+dfsg-1ubuntu4.19)
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Patches:
Upstream:https://git.php.net/?p=php-src.git;a=commit;h=97eff7eb57fc2320c267a949cffd622c38712484
Package
Upstream:released (7.0.7-1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):released (7.0.8-0ubuntu0.16.04.1)
Patches:
Upstream:https://git.php.net/?p=php-src.git;a=commit;h=97eff7eb57fc2320c267a949cffd622c38712484
More Information

Updated: 2019-03-26 12:21:52 UTC (commit ccdecfcf0fead22bd291e5f4ea745a46872dcb15)